Package com.io7m.coffeepick.runtime.parser.spi

# Class SPIProbeSuccess.Builder

java.lang.Object
com.io7m.coffeepick.runtime.parser.spi.SPIProbeSuccess.Builder

Enclosing class:
  SPIProbeSuccess

    public static final class SPIProbeSuccess.Builder
    extends java.lang.Object

Builds instances of type `SPIProbeSuccess`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `SPIProbeSuccess` | `build()` | Builds a new `SPIProbeSuccess`.
  `SPIProbeSuccess.Builder` | `from​(SPIProbeResultType.SPIProbeSuccessType instance)` | Fill a builder with attribute values from the provided `SPIProbeSuccessType` instance.
  `SPIProbeSuccess.Builder` | `setFormat​(FormatDescription format)` | Initializes the value for the `format` attribute.
  `SPIProbeSuccess.Builder` | `setVersion​(FormatVersion version)` | Initializes the value for the `version` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final SPIProbeSuccess.Builder from​(SPIProbeResultType.SPIProbeSuccessType instance)
    Fill a builder with attribute values from the provided `SPIProbeSuccessType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setFormat

    public final SPIProbeSuccess.Builder setFormat​(FormatDescription format)
    Initializes the value for the `format` attribute.
    Parameters:
      `format` - The value for format
    Returns:
      `this` builder for use in a chained invocation

  - ### setVersion

    public final SPIProbeSuccess.Builder setVersion​(FormatVersion version)
    Initializes the value for the `version` attribute.
    Parameters:
      `version` - The value for version
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public SPIProbeSuccess build()
    Builds a new `SPIProbeSuccess`.
    Returns:
      An immutable instance of SPIProbeSuccess
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing